#!/bin/bash
# PROBOTIX LinuxCNC Configurator
VERSION="1.0"

#look for emc2 folder and die if found

sudo -S <<< "probotix" clear

if [ -d "/home/probotix/emc2" ]
then
	echo "EMC2 directory found! Call PROBOTIX 309-691-2643"
	sleep 10
	exit
fi

#set num lock
if [ -e "/usr/bin/numlockx" ]
then 
	numlockx	
else
	cd .numlockx 
	sudo ./configure
	sudo make
	sudo make install
	cd ..
	numlockx
fi


# this section tries to identify the add-on parallel port address
LSPCI=$(lspci -v | grep NetMos)
#echo $LSPCI 
# get substring
SUB=${LSPCI:0:7}
#echo $SUB
ADDR=$(dmesg | grep $SUB)
A=${ADDR#*0x}
B=${A:0:4}
# hopefully this will be the variable for the second parallel port
IDENT="0x"$B
LEN=${#IDENT}
#echo $LEN
#sleep 100
if [ $LEN -eq 6 ]
then 
    	IDENTB=$IDENT
else
	IDENTB="0xd050"
fi

echo $IDENTB >> log.txt


#sleep 10


#set the terminal defaults
gconftool-2 --set /apps/gnome-terminal/profiles/Default/use_theme_colors --type bool "false" 
gconftool-2 --set /apps/gnome-terminal/profiles/Default/use_theme_background --type bool "false" 
gconftool-2 --set /apps/gnome-terminal/profiles/Default/foreground_color --type string "#0000FFFF0000"
gconftool-2 --set /apps/gnome-terminal/profiles/Default/background_color --type string "#000000000000"



clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
echo "Enter Order Number:"
read ORDER_NO
echo $ORDER_NO >> log.txt



rm -Rf /home/probotix/Desktop/*.desktop



#add a function here to set the default editor for .ngc files
sudo cp -f .freedesktop.org.xml /usr/share/mime/packages/freedesktop.org.xml 
sudo update-mime-database /usr/share/mime
#sudo chmod -R 777 /home/probotix/linuxcnc

#mkdir /home/probotix/.backups
#sudo cp -Rud /usr/bin/axis* /home/probotix/.backups
#mkdir /home/probotix/.backups/axis_files
#sudo cp -Rud /usr/share/axis /home/probotix/.backups/axis_files

sudo rm -f /usr/bin/axis
sudo rm -Rf /usr/share/axis
rm -Rf /home/probotix/linuxcnc/configs
mkdir  -p /home/probotix/linuxcnc
mkdir  -p /home/probotix/linuxcnc/configs
mkdir  -p /home/probotix/linuxcnc/configs/PROBOTIX
mkdir  -p /home/probotix/linuxcnc/configs/PROBOTIX/axis
mkdir -p /home/probotix/linuxcnc/nc_files.old
cp -Rud -f /home/probotix/linuxcnc/nc_files/* /home/probotix/linuxcnc/nc_files.old/
rm -Rf /home/probotix/linuxcnc/nc_files
mkdir -p /home/probotix/linuxcnc/nc_files
cp -Rud nc_files/* /home/probotix/linuxcnc/nc_files
sudo cp .probotix_splash.gif /usr/share/linuxcnc/probotix_splash.gif

#set desktop background
cp -f .probotix_background2_1280x1024.png /home/probotix/Pictures/.background.png
gconftool-2 -t string -s /desktop/gnome/background/picture_filename /home/probotix/Pictures/.background.png

#create symlink to axis program
cp -Rud axis_files/axis/* /home/probotix/linuxcnc/configs/PROBOTIX/axis/
sudo ln -s /home/probotix/linuxcnc/configs/PROBOTIX/axis/axis /usr/bin/axis
sudo ln -s /home/probotix/linuxcnc/configs/PROBOTIX/axis /usr/share/axis

#create link to nc_files on desktop
ln -sf /home/probotix/linuxcnc/nc_files/ /home/probotix/Desktop/nc_files

gconftool-2 --type bool --set /apps/gnome-screensaver/lock_enabled 0
gconftool-2 --type bool --set /apps/gnome-screensaver/idle_activation_enabled 0
gconftool-2 --type bool --set /apps/gedit-2/preferences/editor/line_numbers/display_line_numbers true
sudo apt-get -qq -y remove update-manager

#sleep 100
clear



echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Choose your machine:"
select x in "V90mk2" "Comet" "Asteroid" "Meteor" "Nebula/MeteorXL" "Custom";
do
    case $x in
	V90mk2 ) 	MACHINE="V90MK2"; 
			X_MAX_LIMIT=20.25
			Y_MAX_LIMIT=13.5
			break;;
	Comet ) 	MACHINE="COMET";
			X_MAX_LIMIT=26.125
			Y_MAX_LIMIT=25.1152
			break;;
        Asteroid ) 	MACHINE="ASTEROID"; 
			X_MAX_LIMIT=37.25
			Y_MAX_LIMIT=25.1152
			break;;
	Meteor ) 	MACHINE="METEOR"; 
			X_MAX_LIMIT=26.125
			Y_MAX_LIMIT=52.2
			break;;
	"Nebula/MeteorXL" ) 	MACHINE="NEBULA"; 
			X_MAX_LIMIT=37.25
			Y_MAX_LIMIT=52.2
			break;;
	Custom ) 	MACHINE="CUSTOM"; 
			#X_MAX_LIMIT=37.25
			#Y_MAX_LIMIT=52.2
			break;;
    esac
done

cp .PROBOTIX.ini .TEMP.ini
cp .PROBOTIX.hal .TEMP.hal
cp .PANEL.xml .TEMP.xml
cp .POSTGUI.hal .TEMPpostgui.hal
cp .102.ngc .TEMP102.ngc


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Choose your units:"
select x in "Inch" "Metric";
do
    case $x in
	Inch ) 		UNITS="inch"; 
			I=1
			break;;
        Metric ) 	UNITS="mm"; 
			I=25.4
			break;;

    esac
done

if [ $MACHINE = "CUSTOM" ]
then
	clear
	echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
	#sleep 0.5
	echo "Enter X-Axis Max Travel (X.XXX $UNITS)"
	read X_MAX_LIMIT
	clear
	echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
	#sleep 0.5
	echo "Enter Y-Axis Max Travel (X.XXX $UNITS)"
	read Y_MAX_LIMIT	
else
	clear
fi


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Choose your ACME screw:"
select x in "Roton" "Helix";
do
    case $x in
	Roton ) 	ACME="ROTON"; 
			ZTPI=5
			Z_MAXVEL=0.4
			# 24IPM Z-Axis
			sed -i -e 's/REPLACE_ZVELOCITY/0.4/' .TEMP.ini
			break;;
        Helix ) 	ACME="HELIX"; 
			ZTPI=2
			Z_MAXVEL=3
			#180IPM Z-Axis
			sed -i -e 's/REPLACE_ZVELOCITY/3/' .TEMP.ini
			break;;

    esac
done


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Choose your drivers:"
select x in "ProboStep" "MondoStep";
do
    case $x in
	ProboStep ) 	DRIVERS="PROBOSTEP";
			XYSCALE=$(expr 2*200*2/$I | bc)
			ZSCALE=$(expr 2*200*$ZTPI/$I | bc)
			break;;
        MondoStep ) 	DRIVERS="MONDOSTEP"; 
			XYSCALE=$(expr 4*200*2/$I | bc)
			ZSCALE=$(expr 4*200*$ZTPI/$I | bc)
			break;;

    esac
done


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Choose your spindle:"
select x in "Router" "VFD Spindle";
do
    case $x in
	"Router" ) 	SPINDLE="ROUTER"
			
			#remove spindle speed
			sed -i '/PWM/,+5d' .TEMP.hal
                        sed -i '/SPINDLE/,+16d' .TEMP.hal
			sed -i '/SPINDLE_SPEED/,+12d' .TEMP.xml 
			sed -i '/VFD/,+3d' .TEMPpostgui.hal
			break;;
        "VFD Spindle" ) SPINDLE="VFD"
			sed -i '/ROUTER/,+7d' .TEMP.hal			
			break;;

    esac
done

clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Do you use the GamePad?"
select x in "Yes" "No";
do
    case $x in
	Yes ) 	GAMEPAD="YES"
		break;;
        No ) 	GAMEPAD="NO"
		#remove gamepad from hal file
		sed -i '/GAMEPAD/,+1d' .TEMP.hal	
		sed -i '/GAMEPAD/,+31d' .TEMPpostgui.hal

		break;;

    esac
done

PARPORT0="0x378"
PARPORT1=$IDENTB

clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Do you use the ATLaS Tool Length Sensor or the Z-Puck?"
select x in "ATLaS only" "Z-Puck only" "Both" "None" "Swap Parallel Ports";
do
    case $x in
	"ATLaS only" ) 		SENSOR="ATLAS"; 
				#remove zpuck control
				sed -i '/ZPUCK/,+5d' .TEMP.xml
				sed -i '/HALUI_ZPUCK/,+1d' .TEMPpostgui.hal
				break;;
        "Z-Puck only" ) 	SENSOR="Z-Puck"; 
				clear
				echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
				#sleep 0.5
				echo "Enter Height of Z-Puck"
				read ZPUCK
				sed -i -e 's/REPLACE_ZPUCK/'$ZPUCK'/' .TEMPo102.ngc
				#remove atlas control
				sed -i '/ATLAS/,+5d' .TEMP.xml
				sed -i '/HALUI_FIRST_TOOL/,+1d' .TEMPpostgui.hal
#				sed -i '/ZORIGIN/,+5d' .TEMP.xml
#				sed -i '/HALUI_ZORIGIN/,+1d' .TEMPpostgui.hal
				break;;
	"Both" )		SENSOR="BOTH";
				clear
				echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
				#sleep 0.5
				echo "Enter Height of Z-Puck (X.XXX in $UNITS)"
				read ZPUCK
				sed -i -e 's/REPLACE_ZPUCK/'$ZPUCK'/' .TEMPo102.ngc
				break;;
	"None" )		SENSOR="NONE";
				#remove probe indicator
				sed -i '/PROBE/,+14d' .TEMP.xml
				#remove atlas control
				sed -i '/ATLAS/,+5d' .TEMP.xml
				#remove zpuck control
				sed -i '/ZPUCK/,+5d' .TEMP.xml
				sed -i '/HALUI_ZPUCK/,+1d' .TEMPpostgui.hal
				sed -i '/HALUI_FIRST_TOOL/,+1d' .TEMPpostgui.hal
				sed -i '/PROBE_LED/,+1d' .TEMPpostgui.hal
				break;;
	"Swap Parallel Ports" ) SENSOR="NONE";
				#remove probe indicator
				sed -i '/PROBE/,+14d' .TEMP.xml
				#remove atlas control
				sed -i '/ATLAS/,+5d' .TEMP.xml
				#remove zpuck control
				sed -i '/ZPUCK/,+5d' .TEMP.xml
				sed -i '/HALUI_ZPUCK/,+1d' .TEMPpostgui.hal
				sed -i '/HALUI_FIRST_TOOL/,+1d' .TEMPpostgui.hal
				sed -i '/PROBE_LED/,+1d' .TEMPpostgui.hal
				PARPORT0=$IDENTB
				PARPORT1=0x378
				break;;
    esac
done

sed -i -e "s/PARPORT0/$PARPORT0/" \
       -e "s/PARPORT1/$PARPORT1/" .TEMP.hal


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "PARPORT.0 $PARPORT0, PARPORT.1 $PARPORT1 Okay?"
select x in "Yes" "No";
do
    case $x in
	Yes ) 	
		break;;
        No ) 	clear
		echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
		echo "Enter PARPORT0:"
		read $PARPORT0
		clear
		echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
		echo "Enter PARPORT1:"
		read $PARPORT0	
		break;;
    esac
done




clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Do you have the rotary axis?"
select x in "Yes" "No";
do
    case $x in
	Yes ) 	COORDINATES="X Y Z A"; 
		COORDINATES_="X\ Y\ Z\ A"; 
		AXES="4"; 
		break;;
        No ) 	COORDINATES="X Y Z"; 
		COORDINATES_="X\ Y\ Z"; 
		AXES="3"; 
		#remove a-axis from ini file
		sed -i '/AXIS_3/,+10d' .TEMP.ini
		#remove a-axis from hal file
		sed -i '/A-AXIS/,+13d' .TEMP.hal
		break;;
    esac
done



XSTEP="02"
XDIR="03"
Y1STEP="04"
Y1DIR="05"
Y2STEP="08"
Y2DIR="09"
ZSTEP="06"
ZDIR="07"
ASTEP="17"
ADIR="01"

clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Do you to swap a motor to the A-axis output?"
select x in "X" "Y1" "Y2" "Z" "No";
do
    case $x in
	X ) 	XSTEP="17"
                XDIR="01"
                COORDINATES="X Y Z"; 
		COORDINATES_="X\ Y\ Z"; 
		AXES="3"; 
		#remove a-axis from ini file
		sed -i '/AXIS_3/,+10d' .TEMP.ini
		#remove a-axis from hal file
		sed -i '/A-AXIS/,+13d' .TEMP.hal	
		break;;
	Y1 ) 	Y1STEP="17"
                Y1DIR="01"
                COORDINATES="X Y Z"; 
		COORDINATES_="X\ Y\ Z"; 
		AXES="3"; 
		#remove a-axis from ini file
		sed -i '/AXIS_3/,+10d' .TEMP.ini
		#remove a-axis from hal file
		sed -i '/A-AXIS/,+13d' .TEMP.hal	
		break;;
	Y2 ) 	Y2STEP="17"
                Y2DIR="01"
                COORDINATES="X Y Z"; 
		COORDINATES_="X\ Y\ Z"; 
		AXES="3"; 
		#remove a-axis from ini file
		sed -i '/AXIS_3/,+10d' .TEMP.ini
		#remove a-axis from hal file
		sed -i '/A-AXIS/,+13d' .TEMP.hal	
		break;;
	Z ) 	ZSTEP="17"
                ZDIR="01"
                COORDINATES="X Y Z"; 
		COORDINATES_="X\ Y\ Z"; 
		AXES="3"; 
		#remove a-axis from ini file
		sed -i '/AXIS_3/,+10d' .TEMP.ini
		#remove a-axis from hal file
		sed -i '/A-AXIS/,+13d' .TEMP.hal	
		break;;
        No ) 	
		break;;
    esac
done

# markers for any swapped axis are already removed, sed will ignore those axes
sed -i -e "s/XSTEP/$XSTEP/" \
       -e "s/XDIR/$XDIR/" \
       -e "s/Y1STEP/$Y1STEP/" \
       -e "s/Y1DIR/$Y1DIR/" \
       -e "s/Y2STEP/$Y2STEP/" \
       -e "s/Y2DIR/$Y2DIR/" \
       -e "s/ZSTEP/$ZSTEP/" \
       -e "s/ZDIR/$ZDIR/" \
       -e "s/ASTEP/$ASTEP/" \
       -e "s/ADIR/$ADIR/" .TEMP.hal


clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
echo "Do you want to use soft limits only?"
select x in "Yes" "No";
do
    case $x in
	Yes ) 	sed -i '/LIMITS/,+5d' .TEMP.hal
		break;;
        No ) 	
		break;;
    esac
done





clear
echo "PROBOTIX LinuxCNC Configurator Version: $VERSION"
#sleep 0.5
#echo "Config Dump:"
echo "ORDER_NO     =" $ORDER_NO >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "MACHINE     =" $MACHINE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "UNITS       =" $UNITS >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ACME        =" $ACME >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "DRIVERS     =" $DRIVERS >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "SPINDLE     =" $SPINDLE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "GAMEPAD     =" $GAMEPAD >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "SENSOR      =" $SENSOR >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "AXES        =" $AXES >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "COORDINATES =" $COORDINATES >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZPUCK       =" $ZPUCK >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XYSCALE     =" $XYSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZSCALE      =" $ZSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZTPI        =" $ZTPI >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "PARPORT0    =" $PARPORT0 >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO   
echo "PARPORT1    =" $PARPORT1 >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO

# metricify some axis vars
# floating point math is hoaky in bash, must us bc (bash calculator)
XY_MAXVEL=$(expr 3.34*$I | bc)
Z_MAXVEL=$(expr $Z_MAXVEL*$I | bc)
XY_MAXACCEL=$(expr 6*$I | bc)
Z_MAXACCEL=$(expr 10*$I | bc)
XY_STEPGEN_MAXACCEL=$(expr 15*$I | bc)
Z_STEPGEN_MAXACCEL=$(expr 15*$I | bc)
XY_MIN_LIMIT=$(expr 0.1*$I | bc)
Z_MIN_LIMIT=$(expr 10*$I | bc)
X_MAX_LIMIT=$(expr $X_MAX_LIMIT*$I | bc)
Y_MAX_LIMIT=$(expr $Y_MAX_LIMIT*$I | bc)
Z_MAX_LIMIT=$(expr 0.1*$I | bc)
XY_HOME_OFFSET=$(expr 0.2*$I | bc)
Z_HOME_OFFSET=$(expr 0.2*$I | bc)
XY_SEARCH_VEL=$(expr 0.5*$I | bc)
Z_SEARCH_VEL=$(expr 0.5*$I | bc)
XY_LATCH_VEL=$(expr 0.2*$I | bc)
Z_LATCH_VEL=$(expr 0.2*$I | bc)
DEFAULT_VELOCITY=$(expr 3.34*$I | bc)
MAX_LINEAR_VELOCITY=$(expr 3.34*$I | bc)


echo "MACHINE     =" $MACHINE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "UNITS       =" $UNITS >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ACME        =" $ACME >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "DRIVERS     =" $DRIVERS >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "SPINDLE     =" $SPINDLE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "GAMEPAD     =" $GAMEPAD >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "SENSOR      =" $SENSOR >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "AXES        =" $AXES >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "COORDINATES =" $COORDINATES >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZPUCK       =" $ZPUCK >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XYSCALE     =" $XYSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZSCALE      =" $ZSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZTPI        =" $ZTPI >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "PARPORT0    =" $PARPORT0 >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO   
echo "PARPORT1    =" $PARPORT1 >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XYSCALE     =" $XYSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "ZSCALE      =" $ZSCALE >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_MAXVEL   =" $XY_MAXVEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_MAXVEL    =" $Z_MAXVEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_MAXACCEL =" $XY_MAXACCEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_MAXACCEL  =" $Z_MAXACCEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_SMAX_ACC =" $XY_STEPGEN_MAXACCEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_SMAX_ACC  =" $Z_STEPGEN_MAXACCEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_MIN_LIMIT=" $XY_MIN_LIMIT >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_MIN_LIMIT =" $Z_MIN_LIMIT >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "X_MAX_LIMIT =" $X_MAX_LIMIT >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Y_MAX_LIMIT =" $Y_MAX_LIMIT >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_MAX_LIMIT =" $Z_MAX_LIMIT >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_HM_OFFSET=" $XY_HOME_OFFSET >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_HM_OFFSET =" $Z_HOME_OFFSET >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_SEARCH_VL=" $XY_SEARCH_VEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_SEARCH_VEL=" $Z_SEARCH_VEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "XY_LATCH_VEL=" $XY_LATCH_VEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "Z_LATCH_VEL =" $Z_LATCH_VEL >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "DEF_VELOCITY=" $DEFAULT_VELOCITY >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO
echo "MAX_LIN_VEL =" $MAX_LINEAR_VELOCITY >> .CONFIGS/CONFIG_DUMP-.$ORDER_NO


# was 0.08
FERROR=$(expr 0.08*$I | bc)
#was 0.05
MIN_FERROR=$(expr 0.05*$I | bc)


# a-axis is in degrees, so no metrification necessary


#sleep 100

#replace vars in ini file - double quote to expand vars
sed -i -e "s/REPLACE_MACHINE/$MACHINE/" \
    -e "s/REPLACE_DEFAULT_VELOCITY/$DEFAULT_VELOCITY/" \
    -e "s/REPLACE_MAX_LINEAR_VELOCITY/$MAX_LINEAR_VELOCITY/" \
    -e "s/REPLACE_FERROR/$FERROR/" \
    -e "s/REPLACE_MIN_FERROR/$MIN_FERROR/" \
    -e "s/REPLACE_AXES/$AXES/" \
    -e "s/REPLACE_COORDINATES/$COORDINATES_/" \
    -e "s/REPLACE_UNITS/$UNITS/" \
    -e "s/REPLACE_XY_SCALE/$XYSCALE/" \
    -e "s/REPLACE_Z_SCALE/$ZSCALE/" \
    -e "s/REPLACE_XY_MAXVEL/$XY_MAXVEL/" \
    -e 's/REPLACE_Z_MAXVEL/'$Z_MAXVEL'/' \
    -e 's/REPLACE_XY_MAXACCEL/'$XY_MAXACCEL'/' \
    -e 's/REPLACE_Z_MAXACCEL/'$Z_MAXACCEL'/' \
    -e 's/REPLACE_XY_STEPGEN_MAXACCEL/'$XY_STEPGEN_MAXACCEL'/' \
    -e 's/REPLACE_Z_STEPGEN_MAXACCEL/'$XY_STEPGEN_MAXACCEL'/' \
    -e 's/REPLACE_XY_MIN_LIMIT/'$XY_MIN_LIMIT'/' \
    -e 's/REPLACE_Z_MIN_LIMIT/'$Z_MIN_LIMIT'/' \
    -e 's/REPLACE_X_MAX_LIMIT/'$X_MAX_LIMIT'/' \
    -e 's/REPLACE_Y_MAX_LIMIT/'$Y_MAX_LIMIT'/' \
    -e 's/REPLACE_Z_MAX_LIMIT/'$Z_MAX_LIMIT'/' \
    -e 's/REPLACE_XY_HOME_OFFSET/'$XY_HOME_OFFSET'/' \
    -e 's/REPLACE_Z_HOME_OFFSET/'$Z_HOME_OFFSET'/' \
    -e 's/REPLACE_XY_SEARCH_VEL/'$XY_SEARCH_VEL'/' \
    -e 's/REPLACE_Z_SEARCH_VEL/'$Z_SEARCH_VEL'/' \
    -e 's/REPLACE_XY_LATCH_VEL/'$XY_LATCH_VEL'/' \
    -e "s/REPLACE_Z_LATCH_VEL/$Z_LATCH_VEL/" .TEMP.ini



#create icon
cp .icon.desktop .TEMP.desktop
sed -i -e "s/REPLACE_MACHINE/$MACHINE 2016b/" .TEMP.desktop
cp .TEMP.desktop /home/probotix/Desktop/$MACHINE.desktop






cp .TEMP.ini /home/probotix/linuxcnc/configs/PROBOTIX/probotix.ini
cp .TEMP.hal /home/probotix/linuxcnc/configs/PROBOTIX/probotix.hal
cp .TEMPpostgui.hal /home/probotix/linuxcnc/configs/PROBOTIX/postgui.hal
cp .TEMP.xml /home/probotix/linuxcnc/configs/PROBOTIX/panel.xml
cp .tool.tbl /home/probotix/linuxcnc/configs/PROBOTIX/tool.tbl
cp .emc.nml  /home/probotix/linuxcnc/configs/PROBOTIX/emc.nml
cp .emc.var  /home/probotix/linuxcnc/configs/PROBOTIX/emc.var
cp .TEMP102.ngc /home/probotix/linuxcnc/nc_files/subs/102.ngc

rm -f .TEMP*


#need to figure out how to capture errors here
#cd .edimax_7811Un_driver/
#sudo insmod 8192cu.ko
#cd ..

#sudo apt-get install libc6 libc6-dev libc6-dbg
#sudo apt-get upgrade
#./SheetCam_setupV6.1.23-32 

sleep 2



